/* If you use or change this program, you must let me know.  email me at              */
/* scorey@xmission.com                                                               */
/* REXX program to play the MP3 files in an Audio-CD-Creator folder with the help of  */
/* WPS-Wizard.  Both available at http://www.geocities.com/SiliconValley/Sector/5785/ */
/* Requires wptools.dll from wptools.  Make sure it's in LIBPATH                      */
/* http://members.brabant.chello.nl/~henk.kelder/henk/index.html#WPTOOLS              */

IF LoadRexxUtil() THEN EXIT
IF LoadWptools() THEN EXIT

/*call RxFuncAdd 'WPToolsLoadFuncs', 'WPTOOLS', 'WPToolsLoadFuncs'
call WPToolsLoadFuncs*/

mp3player='d:\apps\z\z.exe -p'
playlist='playlist.list'

parse arg commandline

curdir=directory()

rc = WPToolsFolderContent(curdir, "list.")
if rc = 0 THEN DO
   exit
end

do iObject = 1 to list.0
  rc=WPToolsQueryObject(list.Iobject, "szclass", "sztitle", "szsetupstring", "szlocation")
  if rc Then do
     parse var szSetupString szOne ';' szTwo ';' szThree ';' szFour ';' szFive ';' szSix
     parse var szOne setupcommand '=' filename  /*  not the best way to do it... but it works so far  */

     if setupcommand='SHADOWID' THEN
      DO
      rc=LineOut(playlist,filename)
      /* rc=LineOut(playlist,'f:\mp3s\2secSilence.mp3') */
      END
     ELSE
      DO
      say 'shadowid not found...  an improved algorithm is needed.'
      say 'press enter to continue.'
      pull wait
      END
  end
end

mp3player||playlist

rc=Stream(playlist, C, CLOSE)
rc=SysFileDelete(playlist)

exit

/* end of REXX program */

LoadRexxUtil:  PROCEDURE
   IF RxFuncQuery('SysLoadFuncs') THEN
      DO
      IF RxFuncAdd('SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs') THEN
         DO
         SAY "Error: Couldn't load RexxUtil library."
         RETURN 1
         END
      CALL SysLoadFuncs
      END
   RETURN 0

LoadWptools:  PROCEDURE
   IF RxFuncQuery('WPToolsLoadFuncs') THEN
      DO
      IF RxFuncAdd('WPToolsLoadFuncs', 'WPTOOLS', 'WPToolsLoadFuncs') THEN
         DO
         SAY "Error: Couldn't load WPTOOLS library."
         SAY "It is available from http://members.brabant.chello.nl/~henk.kelder/henk/index.html#WPTOOLS"
         SAY "Make sure the file wptools.dll is in your LIBPATH"
         RETURN 1
         END
      CALL WPToolsLoadFuncs
      END
   RETURN 0
